package omq.supervisor;

import java.io.Serializable;
import java.util.Properties;

public class OmqSettings implements Serializable {
	
	

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String reference;
	private String className;
	private Properties props;
	private int minNumberObjects;
	private int maxNumQueued;
	private int minNumQueued;

	public OmqSettings(String reference, String className, Properties props, int minNumberObjects, int maxNumQueued, int minNumQueued) {
		this.reference = reference;
		this.className = className;
		this.props = props;
		this.minNumberObjects = minNumberObjects;
		this.maxNumQueued = maxNumQueued;
		this.minNumQueued = minNumQueued;
	}

	public String getReference() {
		return reference;
	}

	public void setReference(String reference) {
		this.reference = reference;
	}

	public String getClassName() {
		return className;
	}

	public void setClassName(String className) {
		this.className = className;
	}

	public Properties getProps() {
		return props;
	}

	public void setProps(Properties props) {
		this.props = props;
	}

	public int getMinNumberObjects() {
		return minNumberObjects;
	}

	public void setMinNumberObjects(int minNumberObjects) {
		this.minNumberObjects = minNumberObjects;
	}

	public int getMaxNumQueued() {
		return maxNumQueued;
	}

	public void setMaxNumQueued(int maxNumQueued) {
		this.maxNumQueued = maxNumQueued;
	}

	public int getMinNumQueued() {
		return minNumQueued;
	}

	public void setMinNumQueued(int minNumQueued) {
		this.minNumQueued = minNumQueued;
	}

}
